View Issue Details

IDProjectCategoryView StatusLast Update
0004141Talerexchangepublic2016-04-10 14:30
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.0Fixed in Version0.0 
Summary0004141: need to implement transaction aggregation and triggering of wire transfers
DescriptionWe need a separate (!) process that goes over the DB, finds not-yet-executed transactions, aggregates them by merchant/WT address and executes them.

The execution should depend on the supported WT method, here we should use a plugin architecture.

The aggregation logic should generate a wire transfer identifier and write the aggregation information back into the mint's DB, so that the tracking API can query it.
TagsNo tags attached.

Relationships

parent of 0004360 closedChristian Grothoff deposit iteration fails in taler-exchange-aggregator (needs testcase!) 

Activities

Christian Grothoff

2016-01-22 17:35

manager   ~0010082

Once implemented, the mint-lib testcase should be updated to test if the tracking API works properly to return aggregation data.

Christian Grothoff

2016-01-27 19:55

manager   ~0010110

mintdb logic is untested, but otherwise ought to be complete for this now.

Christian Grothoff

2016-01-28 03:59

manager   ~0010111

Core logic now implemented in taler-mint-aggregator.c, but all untested.

Christian Grothoff

2016-04-04 16:09

manager   ~0010367

13f1c1c..bd6fb59 provides the fundamental test harness.

Christian Grothoff

2016-04-10 02:56

manager   ~0010440

bf92166..71107a7 tests all the common scenarios (and passes), with the exception of rounding down (i.e. EUR1.009 gives a WT of EUR 1 and 0.009 profit to exchange). The exact conditions when this profit is allowed be booked are not yet tested.

Issue History

Date Modified Username Field Change
2016-01-21 15:44 Christian Grothoff New Issue
2016-01-21 15:44 Christian Grothoff Status new => assigned
2016-01-21 15:44 Christian Grothoff Assigned To => Christian Grothoff
2016-01-21 15:44 Christian Grothoff Priority urgent => high
2016-01-21 15:45 Christian Grothoff Target Version => 0.1
2016-01-22 17:35 Christian Grothoff Note Added: 0010082
2016-01-27 19:55 Christian Grothoff Note Added: 0010110
2016-01-28 03:59 Christian Grothoff Note Added: 0010111
2016-02-18 15:43 Christian Grothoff Category mint => exchange
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004299
2016-04-04 16:09 Christian Grothoff Note Added: 0010367
2016-04-04 16:50 Christian Grothoff Relationship added parent of 0004360
2016-04-10 02:56 Christian Grothoff Note Added: 0010440
2016-04-10 14:30 Christian Grothoff Status assigned => resolved
2016-04-10 14:30 Christian Grothoff Fixed in Version => 0.0
2016-04-10 14:30 Christian Grothoff Resolution open => fixed
2016-04-10 14:30 Christian Grothoff Target Version 0.1 => 0.0
2016-04-10 14:30 Christian Grothoff Status resolved => closed